package com.benyun.project.third.longxiang.domain;

import lombok.Data;

/**
 * com.benyuntech.oms.openapi.request.OrderCreateParams.ItemSku
 *
 * ItemSku
 */
public class ItemSku {
    /**
     * 基本售价（原价），保留两位小数，单位（元）
     */
    private double base_price;
    /**
     * 是否赠品
     */
    private boolean is_gift;
    /**
     * 是否预售
     */
    private Boolean is_presale;
    /**
     * 单价（成交价）
     */
    private double price;
    /**
     * 数量
     */
    private Double qty;
    /**
     * 明细备注
     */
    private String remark;
    /**
     * 自有平台的商品编码
     */
    private String shop_skuId;
    /**
     * 自有平台的商品名称
     */
    private String shop_sku_name;
    /**
     * 自有平台的款式编码
     */
    private String shop_style_id;
    /**
     * 商品ID
     */
    private long sku_id;
    /**
     * 商品类型；normal：普通商品；combine：组合装商品；no_deliver：不发货
     * 除非是no_deliver，否则skuType取决于skuId对应的OMS商品是普通商品还是组合装商品
     */
    private String sku_type;


    @Override
    public String toString() {
        return "ItemSku{" +
                "base_price=" + base_price +
                ", is_gift=" + is_gift +
                ", is_presale=" + is_presale +
                ", price=" + price +
                ", qty=" + qty +
                ", remark='" + remark + '\'' +
                ", shop_skuId='" + shop_skuId + '\'' +
                ", shop_sku_name='" + shop_sku_name + '\'' +
                ", shop_style_id='" + shop_style_id + '\'' +
                ", sku_id=" + sku_id +
                ", sku_type='" + sku_type + '\'' +
                '}';
    }

    public double getBase_price() {
        return base_price;
    }

    public void setBase_price(double base_price) {
        this.base_price = base_price;
    }

    public boolean isIs_gift() {
        return is_gift;
    }

    public void setIs_gift(boolean is_gift) {
        this.is_gift = is_gift;
    }

    public Boolean getIs_presale() {
        return is_presale;
    }

    public void setIs_presale(Boolean is_presale) {
        this.is_presale = is_presale;
    }

    public double getPrice() {
        return price;
    }

    public void setPrice(double price) {
        this.price = price;
    }

    public Double getQty() {
        return qty;
    }

    public void setQty(Double qty) {
        this.qty = qty;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getShop_skuId() {
        return shop_skuId;
    }

    public void setShop_skuId(String shop_skuId) {
        this.shop_skuId = shop_skuId;
    }

    public String getShop_sku_name() {
        return shop_sku_name;
    }

    public void setShop_sku_name(String shop_sku_name) {
        this.shop_sku_name = shop_sku_name;
    }

    public String getShop_style_id() {
        return shop_style_id;
    }

    public void setShop_style_id(String shop_style_id) {
        this.shop_style_id = shop_style_id;
    }

    public long getSku_id() {
        return sku_id;
    }

    public void setSku_id(long sku_id) {
        this.sku_id = sku_id;
    }

    public String getSku_type() {
        return sku_type;
    }

    public void setSku_type(String sku_type) {
        this.sku_type = sku_type;
    }
}
